// MgPoint.h
//-----------------------------------------------------------------------------
/*
    libMgTk - Mage Toolkit
    Copyright (C) 2001 Vitaliy Mikitchenko (Mage Productions)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Vitaliy Mikitchenko
    webmaster@magep.cjb.net
*/

#ifndef MGPOINT_H
#define MGPOINT_H

#include "MgBeginCode.h"
/*! \file MgPoint.h
	Contains the MgPoint class.
*/

/*!
	Very simple point class.
*/
class MGDLL MgPoint
{
public:
	//! Constructor.
	MgPoint(int X = 0, int Y = 0);
	//! Constructor.
	MgPoint(const MgPoint & p);
	//! Destructor.
	~MgPoint();
	
	//! Returns true if the points are equal.
	bool operator==(const MgPoint & rhs) const
	{
		return rhs.x == x && rhs.y == y;
	}
	//! Returns true if the points are not equal.
	bool operator!=(const MgPoint & rhs) const
	{
		return rhs.x != x || rhs.y != y;
	}
	
	//! The x and y coordinates of the point.
	int x, y;
};

#include "MgEndCode.h"

#endif

