// MgScreen.h
//-----------------------------------------------------------------------------
/*
    libMgTk - Mage Toolkit
    Copyright (C) 2001 Vitaliy Mikitchenko (Mage Productions)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Vitaliy Mikitchenko
    webmaster@magep.cjb.net
*/

#ifndef MGSCREEN_H
#define MGSCREEN_H

/*! \file MgScreen.h
	Contains the MgScreen class.
*/

#include "MgSurface.h"

#include "MgBeginCode.h"

/*!
	This cannot be constructed/deleted by hand! You can construct it by
	calling MgVideo's SetVideoMode() method. Do not try to construct
	and MgPainter from SDL's video surface!
*/
class MGDLL MgScreen : public MgSurface
{
public:
	//! Overridden to <b>never</b> delete the video surface.
	virtual void FreeOnDelete(bool free);
	
private:
	// does nothing...
	MgScreen();
	// Creates the screen.
	MgScreen(SDL_Surface * screen);
	// destructor
	virtual ~MgScreen() {}
	
	friend class MgVideoSystem;
};

#include "MgEndCode.h"

#endif

